Subject: Re: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Mar 2021 20:20:17 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Tue, 09 Mar 2021 17:04:58 +0000
> 
> >   else
> >     *saved_cu = comp_u_lisp_obj;
> >
> > But then we clobber the value of comp_u_lisp_obj here:
> >
> > 	  data_ephemeral_vec =
> > 	    load_static_obj (comp_u, TEXT_DATA_RELOC_EPHEMERAL_SYM);
> >
> > 	  EMACS_INT d_vec_len = XFIXNUM (Flength (data_ephemeral_vec));
> > 	  for (EMACS_INT i = 0; i < d_vec_len; i++)
> > 	    data_eph_relocs[i] = AREF (data_ephemeral_vec, i);  <<<<<<<<<<<
> >
> > Is this likely to be due to that problem?
> 
> Interesting, how can we clobber the value of 'comp_u_lisp_obj' that is
> stack allocated while writing into 'data_eph_relocs[i]' that is static
> allocated in an eln?

I don't know, but the problem disappeared after I rebuild with the
latest branch, so I guess it was related to the bug fixed in
380ba045c4 after all.